Loading...
Searching...
No Matches
opencc::SerializedValues Class Reference
OpenCC C++ Comprehensive API

Binary format for dictionary values serialization. More...

`#include <src/SerializedValues.hpp>`

Inheritance diagram for opencc::SerializedValues:

## Public Member Functions

| SerializedValues (const LexiconPtr &_lexicon)
virtual void | SerializeToFile (FILE *fp) const
| Serializes the dictionary and writes in to a file.
const LexiconPtr & | GetLexicon () const
size_t | KeyMaxLength () const
Public Member Functions inherited from opencc::SerializableDict
virtual void | SerializeToFile (const std::string &fileName) const
| Serializes the dictionary and writes in to a file.

## Static Public Member Functions

static std::shared_ptr< SerializedValues > | NewFromFile (FILE *fp)
static std::shared_ptr< SerializedValues > | NewFromBuffer (const char *data, size_t size, size_t *bytesRead)
Static Public Member Functions inherited from opencc::SerializableDict
template<typename DICT>
static bool | TryLoadFromFile (const std::string &fileName, std::shared_ptr< DICT > *dict)
template<typename DICT>
static std::shared_ptr< DICT > | NewFromFile (const std::string &fileName)

## Detailed Description

Binary format for dictionary values serialization.

## Member Function Documentation

## SerializeToFile()

void SerializedValues::SerializeToFile | ( | FILE * | fp | ) | const

virtual

Serializes the dictionary and writes in to a file.

Implements opencc::SerializableDict.

The documentation for this class was generated from the following files:

- SerializedValues.hpp
- SerializedValues.cpp